package com.xiaqiuchu.demo.service;

import java.util.ArrayList;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.transaction.PlatformTransactionManager;
import org.springframework.transaction.TransactionDefinition;
import org.springframework.transaction.TransactionStatus;

import com.xiaqiuchu.demo.entity.Student;
import com.xiaqiuchu.demo.mapper.StudentMapper;

@Service
public class StudentService {
    @Resource
    StudentMapper studentMaper;

    // @Resource
    // private PlatformTransactionManager platformTransactionManager;

    // @Resource
    // private TransactionDefinition transactionDefinition;


    public Student findById(Long id){
        Student student = studentMaper.findById(id);
        return student;
    }

    public ArrayList<Student> selectAll(){
        return studentMaper.selectAll();
    }
    
    public Student findStudentAndTeamById(Long id){
        Student student = studentMaper.findStudentAndTeamById(id);
        return student;
    }

    // public Integer updateNameById(Long id, String name){
    //     // 开启事务
    //     TransactionStatus transactionStatus = platformTransactionManager.getTransaction(transactionDefinition);

    //     Integer updateNum = studentMaper.updateNameById(id, name);

    //     // 提交
    //     platformTransactionManager.commit(transactionStatus); 
    //     // 回滚
    //     // platformTransactionManager.rollback(transactionStatus); 

    //     return updateNum;

    // }

    public Integer updateNameById(Long id, String name){
        return studentMaper.updateNameById(id, name);
    }
    
}
